ADDUSER(8)

NOM
adduser, addgroup - Ajouter un utilisateur ou un groupe au système

SYNOPSIS
adduser [options] [--home REP] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUPE | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] utilisateur

adduser --system [options] [--home REP] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GROUPE | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] utilisateur

addgroup [options] [--gid ID] groupe

addgroup --system [options] [--gid ID] groupe

adduser [options] utilisateur groupe

  OPTIONS COMMUNES
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FICHIER]

DESCRIPTION

adduser et addgroup ajoutent des utilisateurs ou des groupes au système en fonction des options fournies en ligne de commande et des informations contenues dans le fichier de configuration /etc/adduser.conf. Ce sont des interfaces plus conviviales que les programmes useradd et groupadd. Elles permettent de choisir par défaut des UID ou des GID conformes à la charte Debian, de créer un répertoire personnel configuré suivant un modèle (squelette), d'utiliser un script sur mesure, et d'autres fonctionnalités encore. Vous pouvez exécuter adduser et addgroup de l'une de ces cinq façons :

  Ajouter un utilisateur normal.
Lorsqu'il est exécuté avec un seul paramètre qui n'est pas une option et sans les options --system ou --group, adduser ajoute un utilisateur normal. adduser choisira le premier identifiant (UID) dans le domaine défini pour les utilisateurs normaux dans le fichier de configuration. L'UID peut être forcé avec l'option --uid. Le domaine indiqué dans le fichier de configuration peut être remplacé avec les options --firstuid et --lastuid. Par défaut, chaque utilisateur d'un système Debian GNU/Linux se voit attribuer un groupe avec son propre nom. Les groupes d'utilisateurs facilitent la gestion des répertoires qui sont accessibles en écriture pour un groupe : les utilisateurs appropriés sont placés dans le nouveau groupe, le bit SGID du répertoire est positionné, et on s'assure que tous les utilisateurs ont un masque de création de fichiers (« umask ») de 002. Si cette option est désactivée en configurant USERGROUPS à no, tous les identifiants de groupe des utilisateurs seront USERS_GID. Le groupe primaire des utilisateurs peut aussi être forcé en ligne de commande avec l'option --gid ou --ingroup respectivement pour l'identifiant numérique et le nom du groupe. De plus, les utilisateurs peuvent être ajoutés à un ou des groupes définis dans adduser.conf, soit en positionnant ADD_EXTRA_GROUPS à 1 dans adduser.conf, soit en utilisant l'option --add_extra_groups en ligne de commande. adduser créera un répertoire personnel en fonction de DHOME, GROUPHOMES et LETTERHOMES. Le répertoire personnel peut être forcé en ligne de commande avec l'option --home, et l'interpréteur de commandes (« shell ») avec l'option --shell. Le bit SGID du répertoire personnel est positionné si USERGROUPS vaut yes, de telle sorte que tous les fichiers créés dans le répertoire personnel de l'utilisateur auront le bon groupe. adduser copiera les fichiers de SKEL (le squelette) dans le répertoire personnel et demandera les informations du champ gecos (utilisées par finger) et un mot de passe. Le champ gecos peut aussi être donné par l'option --gecos. Avec l'option --disabled-login, le compte est créé mais il est désactivé tant que le mot de passe n'est pas configuré. L'option --disabled-password ne configure pas le mot de passe non plus, mais une connexion est toujours possible (par exemple par SSH avec une clé RSA). Si le fichier /usr/local/sbin/adduser.local existe, il est exécuté une fois que l'utilisateur a été configuré, de façon à réaliser des opérations propres au système. Les paramètres passés à adduser.local sont :
nom_utilisateur uid gid répertoire_personnel
La variable d'environnement VERBOSE est positionnée de la façon suivante :

0 si --quiet est spécifiée

1 si ni --quiet ni --debug ne sont spécifiées

2 si --debug est spécifiée
    (Ceci s'applique également à la variable DEBUG, mais DEBUG est déconseillée et sera supprimée dans une version ultérieure d'adduser).

  Ajouter un utilisateur système.
Lorsqu'il est appelé avec un seul paramètre qui n'est pas une option et avec l'option --system, adduser ajoute un utilisateur système. Si un utilisateur ayant le même nom existe déjà et possède un identifiant dans l'intervalle affecté au système (ou, quand l'identifiant est spécifié, si l'utilisateur avec cet identifiant existe déjà), adduser quittera avec un message d'avertissement. Ce message d'avertissement peut être supprimé avec l'option --quiet. adduser choisira le premier UID disponible dans l'intervalle indiqué pour les utilisateurs système dans le fichier de configuration (entre FIRST_SYSTEM_UID et LAST_SYSTEM_UID). Si vous souhaitez un identifiant spécifique, vous pouvezle spécifier à l'aide de l'option --uid. Par défaut, les utilisateurs système sont placés dans le groupe nogroup. Pour placer le nouvel utilisateur système dans un groupe existant, utilisez l'option --gid ou --ingroup. Pour placer le nouvel utilisateur système dans un groupe avec le même identifiant numérique, utilisez l'option --group. Un répertoire personnel est créé avec les mêmes règles que pour les utilisateurs normaux. Le nouvel utilisateur système aura /bin/false comme interpréteur de commandes (à moins qu'un autre interpréteur soit fourni avec l'option --shell), et aura un compte désactivé. Les fichiers du squelette ne sont pas copiés.

  Ajouter un groupe utilisateur.
Si adduser est appelé avec l'option --group et sans l'option --system, ou si addgroup est appelé, un groupe utilisateur sera ajouté. Un identifiant numérique GID est choisi dans l'intervalle indiqué pour les identifiants des groupes système dans le fichier de configuration (FIRST_GID, LAST_GID). Pour éviter ceci, vous pouvez fournir l'identifiant à l'aide de l'option --gid. Le groupe est créé sans utilisateur.

  Ajouter un groupe système.
Si addgroup est appelé avec l'option --system, un groupe système sera ajouté. Un identifiant numérique GID est choisi dans l'intervalle indiqué pour les identifiants des groupes système dans le fichier de configuration (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Pour éviter ceci, vous pouvez fournir l'identifiant à l'aide de l'option --gid. Le groupe est créé sans utilisateur.

  Ajouter un utilisateur existant à un groupe existant.
Lorsqu'il est appelé avec deux paramètres n'étant pas des options, adduser ajoutera un utilisateur existant à un groupe existant.

OPTIONS

--conf FICHIER
    Utilise FICHIER plutôt que /etc/adduser.conf.

--disabled-login
    N'utilise pas passwd pour fixer le mot de passe. L'utilisateur ne pourra pas utiliser son compte avant que son mot de passe soit donné.

--disabled-password
    Comme --disabled-login, mais les connexions sont toujours possibles (par exemple par SSH avec des clés RSA), mais pas par une authentification par mot de passe.

--force-badname
    Par défaut, les utilisateurs et les groupes sont comparés à l'expression rationnelle configurable NAME_REGEX indiquée dans le fichier de configuration. Cette option oblige adduser et addgroup à ne réaliser qu'une faible vérification du nom.

--gecos GECOS
    Fixe le champ gecos de la nouvelle entrée générée. adduser ne demandera pas d'information de type finger si cette option est donnée.

--gid ID
    Lorsqu'un groupe est créé, cette option permet de forcer l'identifiant numérique du groupe. Lorsqu'un utilisateur est créé, cette option place cet utilisateur dans ce groupe.

--group
    Avec l'option --system, un groupe ayant le même nom et le même identifiant numérique que l'utilisateur système est créé. Sans l'option --system, un groupe avec le nom fourni en paramètre est créé. C'est le comportement par défaut lorsque addgroup est appelé.

--help
    Affiche un résumé des instructions.

--home REP
    Utilise REP comme répertoire personnel de l'utilisateur, plutôt que la valeur par défaut définie dans le fichier de configuration. Si le répertoire n'existe pas, il est créé, et les fichiers du squelette y sont copiés.

--shell SHELL
    Utilise SHELL comme interpréteur de commandes initial (« login shell »), plutôt que l'interpréteur donné dans le fichier de configuration.

--ingroup GROUPE
    Ajoute le nouvel utilisateur au GROUPE plutôt qu'à un groupe utilisateur ou qu'au groupe par défaut défini par USERS_GID dans le fichier de configuration. Cette option concerne le groupe primaire des utilisateurs. Pour ajouter des groupes supplémentaires, consultez l'option add_extra_groups.

--no-create-home
    Ne crée pas le répertoire personnel, même s'il n'existe pas.

--quiet
    Supprime les messages d'information, n'affiche que les avertissements et les erreurs.

--debug
    Mode bavard, utile pour l'investigation d'un problème avec adduser.

--system
    Crée un utilisateur ou groupe système.

--uid ID
    Force le nouvel identifiant utilisateur à un entier donné. adduser échouera si cet identifiant est déjà utilisé.

--firstuid ID
    Force la borne inférieure du domaine des identifiants (remplace la valeur de FIRST_UID indiquée dans le fichier de configuration).

--lastuid ID
    Force la borne supérieure du domaine des identifiants (LAST_UID).

--add_extra_groups
    Ajoute l'utilisateur aux groupes supplémentaires définis dans le fichier de configuration.

--version
    Affiche la version et le copyright.

VALEURS DE RETOUR

0   L'utilisateur, tel qu'il a été demandé, existe. Ceci peut avoir deux causes : l'utilisateur a été créé par adduser ou l'utilisateur était déjà présent sur le système lors de l'appel à adduser. Si adduser a renvoyé 0, un second appel à adduser avec les mêmes arguments renvoie 0.

1   La création de l'utilisateur ou du groupe a échoué pour une des raisons suivantes : le nom existe déjà avec un autre identifiant que celui indiqué ; le nom d'utilisateur ou de groupe a été rejeté parce qu'il ne correspond pas à l'expression rationnelle configurée, consultez adduser.conf(5) ; adduser a été interrompu par un signal.
    Ou pour plein d'autres raisons toujours pas documentées qui sont affichées sur la console. Vous pouvez alors retirer l'option --quiet pour rendre adduser plus bavard.

FICHIERS

/etc/adduser.conf
    Fichier de configuration par défaut d'adduser(8) et addgroup(8).

VOIR AUSSI
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Charte Debian 9.2.2.

TRADUCTION
Ce document est une traduction, réalisée par Nicolas FRANÇOIS le 29 octobre 2004. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man. N'hésitez pas à signaler à l'auteur ou à la liste de traduction <debian-l10n-french@lists.debian.org>, selon le cas, toute erreur dans cette page de manuel.

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications par Roland Bauerschmidt et Marc Haber. Patches supplémentaires par Joerg Hoh et Stephen Gran.
Copyright (C) 1995 Ted Hajek, avec beaucoup de choses empruntées à la commande adduser de Debian.
Copyright (C) 1994 Ian Murdock. adduser est un logiciel libre ; consultez la licence publique générale du projet GNU (« GPL ») version 2 ou supérieure pour les droits de copie. Ce programme est fourni sans aucune garantie.